воскресенье, 11 января 2015 г.

Обновление CMPlayer + бонус

Очередное крупное обновление от разработчика CMPlayer. Исправлено множество ошибок, внедрены новые возможности. Устанавливаем в Kubuntu...




 Состоялся релиз CMPlayer 0.8.17. В репозитории уже доступна версия для Kubuntu 14.04 и Kubuntu 14.10. Напомню, что это GUI-интерфейс Qt 5 для медиапроигрывателя MPV. Подробнее вы можете ознакомиться в этой статье.

Изменения:
  • Добавлена поддержка скрипта youtube-dl
  • Доступен приоритет языка для звуковой дорожки
  • Увеличена информация о файле при воспроизведении
  • Поддержка открытия папки из файлового менеджера или терминала
  • Добавлены опции в случайном порядке/повтор воспроизведения
  • Поддержка действий мыши для дополнительных кнопок
  • Доступен список аудио устройств
  • Поддержка только нативного API для ускорения
  • Исправлен неправильный режим воспроизведения при открытии
  • Исправлено воспроизведение при переполненном кеше
  • Исправлена невозможность выбрать язык программы
  • Исправлена работа с VDPAU
  • Исправления в работе со скинами
  • И другие
Подробный список изменений вы можете глянуть здесь.

Установка из Терминала:
sudo add-apt-repository ppa:darklin20/cmplayer-ppa
sudo apt-get update
sudo apt-get install mpv cmplayer
Бонус - cкин Breeze:
cd /tmp
wget https://sites.google.com/site/mykubikfiles2/breeze-cmplayer.tar.gz
sudo tar -xf breeze-cmplayer.tar.gz -C /usr/share/cmplayer/skins

Дополнительно скин Breeze Dark:
cd /tmp
wget https://sites.google.com/site/mykubikfiles2/cmplayer-breeze-dark.tar.gz
sudo tar -xf cmplayer-breeze-dark.tar.gz -C /usr/share/cmplayer/skins


Внимание:
Статья устарела, проигрыватель переименован в bomi. Все подробности здесь.

Сайт программы:
cmplayer.github.io

6 комментариев:

  1. Гуд... А может он проигрывать файлы, которые кодированы виндовым скринкастовым кодеком? Названия точно, к сожалению, не могу сказать. Но курсы "специалиста" кодированы именно им.

    ОтветитьУдалить
    Ответы
    1. Плеер поддерживает библиотеки FFmpeg и Libav. А что собственно мешает проверить?

      Удалить
  2. Система 14.10 и что-то печаль:

    sudo apt-get install cmplayer
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    cmplayer : Зависит: libqt5qml-quickcontrols но он не может быть установлен
    Рекомендует: youtube-dl но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    ОтветитьУдалить
  3. Поставил. Пакет отсюда https://launchpad.net/ubuntu/utopic/amd64/libqt5qml-quickcontrols/5.2.1-2, затем исправление зависимости для qtdeclarative5-controls-plugin и после этого все ставится :)

    ОтветитьУдалить
  4. В 14.10 переименовали пакет libqt5qml-quickcontrols в qml-module-qtquick-controls, а правила для сборки указаны для 14.04.
    Луче все-таки пересобрать пакет, что бы потом не ломать зависимости. Вот набросал:
    http://pastebin.com/n0LQZLwY

    ОтветитьУдалить
    Ответы
    1. Спасибо, я не знал о такой правке пакета на лету.

      Удалить

Примечание. Отправлять комментарии могут только участники этого блога.